%global momorel 1

%define majorminor  1.0
%define gstreamer   gstreamer1
%define gst_minver  1.0
%define gst_majorminor  1.0

Name: 		%{gstreamer}-libav
Version: 	1.12.2
Release:	%{momorel}m%{?dist}	
Summary: 	GStreamer Streaming-media framework plug-in using libav (FFmpeg).
Group: 		Applications/Multimedia
License: 	LGPL
URL:		http://gstreamer.net/
Source0:	http://gstreamer.freedesktop.org/src/gst-libav/gst-libav-%{version}.tar.xz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  	%{gstreamer} >= 1.4.0
BuildRequires: 	%{gstreamer}-devel >= 1.4.0
BuildRequires: 	%{gstreamer}-plugins-base-devel >= 1.12.0

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This plugin contains the libav (formerly FFmpeg) codecs, containing codecs for most popular
multimedia formats.

%prep
%setup -q -n gst-libav-%{version}

%build
%configure

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_majorminor}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README gst-libav.doap
%{_libdir}/gstreamer-%{gst_majorminor}/libgstlibav.so
%{_datadir}/gtk-doc/html/gst-libav-plugins-%{gst_majorminor}/*

%changelog
* Tue Jul 25 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.12.2-1m)
- update to 1.12.2

* Wed Dec 31 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.4.5-1m)
- update to 1.4.5

* Sun Dec 14 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.4.4-1m)
- update to 1.4.4

* Sun Oct 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.3-2m)
- revise BuildRequires:

* Sat Oct 11 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.4.3-1m)
- initial release
